Subject: [PATCH] mtd: only use __xipram annotation when XIP_KERNEL is set

From: [email-masked] (Arnd Bergmann)
Date: Sun, 6 Mar 2016 20:56:01 +0100

On Saturday 05 March 2016, Robert Jarzmik wrote:
> Arnd Bergmann <[email-masked]> writes:
> 
> > I guess we can bring back the macros for the case that MTD_XIP and XIP_KERNEL
> > are both enabled.
> >
> > 	Arnd
> I wouldn't have ICMR and ICIP exposed to drivers, Eric's original move looks
> corect to me.

Yes, it's a reasonable cleanup that we have done in many places, except
this one introduced a regression for MTD_XIP.

> On the other hand, I'm wondering if xip_irqpending(), xip_currtime() and
> xip_cpu_idle() should be declared as functions in mtd-xip.h, and be part of
> something like arch/arm/mach-pxa/xip.c ...

They have to at least be marked __xipram and must not reference anything
in .text or .rodata, but there might be additional requirements.

	Arnd